<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/Utils/include/AVSCommon/Utils/Logger/Logger.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a></li><li class="navelem"><a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a></li><li class="navelem"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a></li><li class="navelem"><a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">Logger.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;atomic&gt;</code><br />
<code>#include &lt;chrono&gt;</code><br />
<code>#include &lt;mutex&gt;</code><br />
<code>#include &lt;sstream&gt;</code><br />
<code>#include &lt;vector&gt;</code><br />
<code>#include &lt;<a class="el" href="_configuration_node_8h_source.html">AVSCommon/Utils/Configuration/ConfigurationNode.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_level_8h_source.html">AVSCommon/Utils/Logger/Level.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_log_entry_8h_source.html">AVSCommon/Utils/Logger/LogEntry.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_log_level_observer_interface_8h_source.html">AVSCommon/Utils/Logger/LogLevelObserverInterface.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_sink_observer_interface_8h_source.html">AVSCommon/Utils/Logger/SinkObserverInterface.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for Logger.h:</div>
<div class="dyncontent">
<div class="center"><img src="_logger_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_logger_2_logger_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_logger_2_logger_8h" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_logger_2_logger_8h">
<area shape="rect" id="node7" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="377,119,591,157"/>
<area shape="rect" id="node13" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="818,205,994,244"/>
<area shape="rect" id="node14" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="980,119,1156,157"/>
<area shape="rect" id="node19" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="629,119,826,157"/>
<area shape="rect" id="node20" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="1269,292,1445,331"/>
<area shape="rect" id="node15" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="1069,205,1245,244"/>
<area shape="rect" id="node17" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="940,292,1116,331"/>
</map>
</div>
</div>
<p><a href="_logger_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html">alexaClientSDK::avsCommon::utils::logger::Logger</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html">alexaClientSDK::avsCommon::utils</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html">alexaClientSDK::avsCommon::utils::logger</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a4f3ff6ca18640f57bac6c106572081c5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_logger_8h.html#a4f3ff6ca18640f57bac6c106572081c5">ACSDK_STRINGIFY_INNER</a>(expression)&#160;&#160;&#160;#expression</td></tr>
<tr class="separator:a4f3ff6ca18640f57bac6c106572081c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25c4f632a13aad8bca23da0cedee26f6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_logger_8h.html#a25c4f632a13aad8bca23da0cedee26f6">ACSDK_STRINGIFY</a>(macro)&#160;&#160;&#160;<a class="el" href="_logger_8h.html#a4f3ff6ca18640f57bac6c106572081c5">ACSDK_STRINGIFY_INNER</a>(macro)</td></tr>
<tr class="separator:a25c4f632a13aad8bca23da0cedee26f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf144fd316953c744bb6b74cebd47619"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_logger_8h.html#acf144fd316953c744bb6b74cebd47619">ACSDK_CONCATENATE_INNER</a>(lhs,  rhs)&#160;&#160;&#160;lhs##rhs</td></tr>
<tr class="separator:acf144fd316953c744bb6b74cebd47619"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c5e76dd516f4638a4d60761b565077b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_logger_8h.html#a8c5e76dd516f4638a4d60761b565077b">ACSDK_CONCATENATE</a>(lhs,  rhs)&#160;&#160;&#160;<a class="el" href="_logger_8h.html#acf144fd316953c744bb6b74cebd47619">ACSDK_CONCATENATE_INNER</a>(lhs, rhs)</td></tr>
<tr class="separator:a8c5e76dd516f4638a4d60761b565077b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4915fb907cb0dbfa67d771f030f82351"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_logger_8h.html#a4915fb907cb0dbfa67d771f030f82351">ACSDK_GET_LOGGER_FUNCTION_NAME</a>(type)&#160;&#160;&#160;<a class="el" href="_logger_8h.html#a8c5e76dd516f4638a4d60761b565077b">ACSDK_CONCATENATE</a>(<a class="el" href="_logger_8h.html#a8c5e76dd516f4638a4d60761b565077b">ACSDK_CONCATENATE</a>(get, type), Logger)</td></tr>
<tr class="separator:a4915fb907cb0dbfa67d771f030f82351"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af30fcd5f90dfc0e248e249fe0998ce78"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_logger_8h.html#af30fcd5f90dfc0e248e249fe0998ce78">ACSDK_LOG_SINK</a>&#160;&#160;&#160;Console</td></tr>
<tr class="separator:af30fcd5f90dfc0e248e249fe0998ce78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a614ffd9777cb70214e150c407db1157d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_logger_8h.html#a614ffd9777cb70214e150c407db1157d">ACSDK_GET_SINK_LOGGER</a>&#160;&#160;&#160;<a class="el" href="_logger_8h.html#a4915fb907cb0dbfa67d771f030f82351">ACSDK_GET_LOGGER_FUNCTION_NAME</a>(<a class="el" href="_logger_8h.html#af30fcd5f90dfc0e248e249fe0998ce78">ACSDK_LOG_SINK</a>)</td></tr>
<tr class="memdesc:a614ffd9777cb70214e150c407db1157d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Build the get&lt;type&gt;Logger function name for whatever <code>Logger</code> logs will be sent to.  <a href="#a614ffd9777cb70214e150c407db1157d">More...</a><br /></td></tr>
<tr class="separator:a614ffd9777cb70214e150c407db1157d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff9739000a127870cf563ba2991ec9d4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_logger_8h.html#aff9739000a127870cf563ba2991ec9d4">ACSDK_LOG</a>(level,  entry)</td></tr>
<tr class="separator:aff9739000a127870cf563ba2991ec9d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7676fafe14eaf2964e7a7475db7eaa94"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_logger_8h.html#a7676fafe14eaf2964e7a7475db7eaa94">ACSDK_DEBUG9</a>(entry)</td></tr>
<tr class="separator:a7676fafe14eaf2964e7a7475db7eaa94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94dc6d9d7b69a7a132de9c92eaa1db55"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_logger_8h.html#a94dc6d9d7b69a7a132de9c92eaa1db55">ACSDK_DEBUG8</a>(entry)</td></tr>
<tr class="separator:a94dc6d9d7b69a7a132de9c92eaa1db55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0688e30a3276e7d4213f9a51e012076"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_logger_8h.html#ac0688e30a3276e7d4213f9a51e012076">ACSDK_DEBUG7</a>(entry)</td></tr>
<tr class="separator:ac0688e30a3276e7d4213f9a51e012076"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5dde694a1b06f001d32c34709b5ffca5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_logger_8h.html#a5dde694a1b06f001d32c34709b5ffca5">ACSDK_DEBUG6</a>(entry)</td></tr>
<tr class="separator:a5dde694a1b06f001d32c34709b5ffca5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add03453f328bcfa711e215c7d455804e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_logger_8h.html#add03453f328bcfa711e215c7d455804e">ACSDK_DEBUG5</a>(entry)</td></tr>
<tr class="separator:add03453f328bcfa711e215c7d455804e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acacce359522c32561ba3f557e59b6da1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_logger_8h.html#acacce359522c32561ba3f557e59b6da1">ACSDK_DEBUG4</a>(entry)</td></tr>
<tr class="separator:acacce359522c32561ba3f557e59b6da1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e4ea852e3d4542ced3939333658f838"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_logger_8h.html#a6e4ea852e3d4542ced3939333658f838">ACSDK_DEBUG3</a>(entry)</td></tr>
<tr class="separator:a6e4ea852e3d4542ced3939333658f838"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64692f37e9339ef097d2e4422f8b5891"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_logger_8h.html#a64692f37e9339ef097d2e4422f8b5891">ACSDK_DEBUG2</a>(entry)</td></tr>
<tr class="separator:a64692f37e9339ef097d2e4422f8b5891"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8c6342dc7967bb4fa4db002560f6674"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_logger_8h.html#ae8c6342dc7967bb4fa4db002560f6674">ACSDK_DEBUG1</a>(entry)</td></tr>
<tr class="separator:ae8c6342dc7967bb4fa4db002560f6674"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40256656da48b818582924c9061d2d20"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_logger_8h.html#a40256656da48b818582924c9061d2d20">ACSDK_DEBUG0</a>(entry)</td></tr>
<tr class="separator:a40256656da48b818582924c9061d2d20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af414b220a404b4d97ec5805b59115bb1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_logger_8h.html#af414b220a404b4d97ec5805b59115bb1">ACSDK_DEBUG</a>(entry)</td></tr>
<tr class="separator:af414b220a404b4d97ec5805b59115bb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a651d06dad2d995d7848b5f778acc13d8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_logger_8h.html#a651d06dad2d995d7848b5f778acc13d8">ACSDK_INFO</a>(entry)&#160;&#160;&#160;<a class="el" href="_logger_8h.html#aff9739000a127870cf563ba2991ec9d4">ACSDK_LOG</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6a551b723eafd6a31d444fcb2f5920fbd3">alexaClientSDK::avsCommon::utils::logger::Level::INFO</a>, entry)</td></tr>
<tr class="separator:a651d06dad2d995d7848b5f778acc13d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc4fde7e853612078e9424c45794e18a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_logger_8h.html#adc4fde7e853612078e9424c45794e18a">ACSDK_WARN</a>(entry)&#160;&#160;&#160;<a class="el" href="_logger_8h.html#aff9739000a127870cf563ba2991ec9d4">ACSDK_LOG</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6a32bd8a1db2275458673903bdb84cb277">alexaClientSDK::avsCommon::utils::logger::Level::WARN</a>, entry)</td></tr>
<tr class="separator:adc4fde7e853612078e9424c45794e18a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab54d7388fb3c3c29c3f07826fe3b4ee2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_logger_8h.html#ab54d7388fb3c3c29c3f07826fe3b4ee2">ACSDK_ERROR</a>(entry)&#160;&#160;&#160;<a class="el" href="_logger_8h.html#aff9739000a127870cf563ba2991ec9d4">ACSDK_LOG</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6abb1ca97ec761fc37101737ba0aa2e7c5">alexaClientSDK::avsCommon::utils::logger::Level::ERROR</a>, entry)</td></tr>
<tr class="separator:ab54d7388fb3c3c29c3f07826fe3b4ee2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11b064f1af67c1c320d3b297722890ab"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_logger_8h.html#a11b064f1af67c1c320d3b297722890ab">ACSDK_CRITICAL</a>(entry)&#160;&#160;&#160;<a class="el" href="_logger_8h.html#aff9739000a127870cf563ba2991ec9d4">ACSDK_LOG</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6a99cd1c61610c76a57cb8d10d6df6b870">alexaClientSDK::avsCommon::utils::logger::Level::CRITICAL</a>, entry)</td></tr>
<tr class="separator:a11b064f1af67c1c320d3b297722890ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ada0657f974207d172dbd460967bc1d0d"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; Logger &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#ada0657f974207d172dbd460967bc1d0d">alexaClientSDK::avsCommon::utils::logger::ACSDK_GET_SINK_LOGGER</a> ()</td></tr>
<tr class="separator:ada0657f974207d172dbd460967bc1d0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ce242645803838bd3900d45974565d6"><td class="memItemLeft" align="right" valign="top">Logger &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a8ce242645803838bd3900d45974565d6">alexaClientSDK::avsCommon::utils::logger::ACSDK_GET_LOGGER_FUNCTION</a> ()</td></tr>
<tr class="separator:a8ce242645803838bd3900d45974565d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a8c5e76dd516f4638a4d60761b565077b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c5e76dd516f4638a4d60761b565077b">&#9670;&nbsp;</a></span>ACSDK_CONCATENATE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACSDK_CONCATENATE</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">lhs, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">rhs&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;<a class="el" href="_logger_8h.html#acf144fd316953c744bb6b74cebd47619">ACSDK_CONCATENATE_INNER</a>(lhs, rhs)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Concatenate two macros in to a token.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">lhs</td><td>The macro to turn in to the left hand part of the token. </td></tr>
    <tr><td class="paramname">rhs</td><td>The macro to turn in to the right hand part of the token. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="acf144fd316953c744bb6b74cebd47619"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf144fd316953c744bb6b74cebd47619">&#9670;&nbsp;</a></span>ACSDK_CONCATENATE_INNER</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACSDK_CONCATENATE_INNER</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">lhs, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">rhs&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;lhs##rhs</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Inner part of ACSDK_CONCATENATE. Concatenate two expressions in to a token.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">lhs</td><td>The expression to turn in to the left hand part of the token. </td></tr>
    <tr><td class="paramname">rhs</td><td>The expression to turn in to the right hand part of the token. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a11b064f1af67c1c320d3b297722890ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11b064f1af67c1c320d3b297722890ab">&#9670;&nbsp;</a></span>ACSDK_CRITICAL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACSDK_CRITICAL</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">entry</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="_logger_8h.html#aff9739000a127870cf563ba2991ec9d4">ACSDK_LOG</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6a99cd1c61610c76a57cb8d10d6df6b870">alexaClientSDK::avsCommon::utils::logger::Level::CRITICAL</a>, entry)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Send a CRITICAL severity log line.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">loggerArg</td><td>The Logger to send the line to. </td></tr>
    <tr><td class="paramname">entry</td><td>The text (or builder of the text) for the log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="af414b220a404b4d97ec5805b59115bb1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af414b220a404b4d97ec5805b59115bb1">&#9670;&nbsp;</a></span>ACSDK_DEBUG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACSDK_DEBUG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">entry</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Compile out a DEBUG severity log line.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">loggerArg</td><td>The Logger to send the line to. </td></tr>
    <tr><td class="paramname">entry</td><td>The text (or builder of the text) for the log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a40256656da48b818582924c9061d2d20"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40256656da48b818582924c9061d2d20">&#9670;&nbsp;</a></span>ACSDK_DEBUG0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACSDK_DEBUG0</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">entry</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Compile out a DEBUG0 severity log line.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">loggerArg</td><td>The Logger to send the line to. </td></tr>
    <tr><td class="paramname">entry</td><td>The text (or builder of the text) for the log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ae8c6342dc7967bb4fa4db002560f6674"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8c6342dc7967bb4fa4db002560f6674">&#9670;&nbsp;</a></span>ACSDK_DEBUG1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACSDK_DEBUG1</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">entry</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Compile out a DEBUG1 severity log line.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">loggerArg</td><td>The Logger to send the line to. </td></tr>
    <tr><td class="paramname">entry</td><td>The text (or builder of the text) for the log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a64692f37e9339ef097d2e4422f8b5891"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64692f37e9339ef097d2e4422f8b5891">&#9670;&nbsp;</a></span>ACSDK_DEBUG2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACSDK_DEBUG2</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">entry</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Compile out a DEBUG2 severity log line.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">loggerArg</td><td>The Logger to send the line to. </td></tr>
    <tr><td class="paramname">entry</td><td>The text (or builder of the text) for the log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a6e4ea852e3d4542ced3939333658f838"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e4ea852e3d4542ced3939333658f838">&#9670;&nbsp;</a></span>ACSDK_DEBUG3</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACSDK_DEBUG3</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">entry</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Compile out a DEBUG3 severity log line.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">loggerArg</td><td>The Logger to send the line to. </td></tr>
    <tr><td class="paramname">entry</td><td>The text (or builder of the text) for the log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="acacce359522c32561ba3f557e59b6da1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acacce359522c32561ba3f557e59b6da1">&#9670;&nbsp;</a></span>ACSDK_DEBUG4</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACSDK_DEBUG4</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">entry</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Compile out a DEBUG4 severity log line.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">loggerArg</td><td>The Logger to send the line to. </td></tr>
    <tr><td class="paramname">entry</td><td>The text (or builder of the text) for the log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="add03453f328bcfa711e215c7d455804e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add03453f328bcfa711e215c7d455804e">&#9670;&nbsp;</a></span>ACSDK_DEBUG5</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACSDK_DEBUG5</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">entry</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Compile out a DEBUG5 severity log line.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">loggerArg</td><td>The Logger to send the line to. </td></tr>
    <tr><td class="paramname">entry</td><td>The text (or builder of the text) for the log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a5dde694a1b06f001d32c34709b5ffca5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5dde694a1b06f001d32c34709b5ffca5">&#9670;&nbsp;</a></span>ACSDK_DEBUG6</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACSDK_DEBUG6</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">entry</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Compile out a DEBUG6 severity log line.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">loggerArg</td><td>The Logger to send the line to. </td></tr>
    <tr><td class="paramname">entry</td><td>The text (or builder of the text) for the log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ac0688e30a3276e7d4213f9a51e012076"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0688e30a3276e7d4213f9a51e012076">&#9670;&nbsp;</a></span>ACSDK_DEBUG7</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACSDK_DEBUG7</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">entry</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Compile out a DEBUG7 severity log line.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">loggerArg</td><td>The Logger to send the line to. </td></tr>
    <tr><td class="paramname">entry</td><td>The text (or builder of the text) for the log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a94dc6d9d7b69a7a132de9c92eaa1db55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94dc6d9d7b69a7a132de9c92eaa1db55">&#9670;&nbsp;</a></span>ACSDK_DEBUG8</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACSDK_DEBUG8</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">entry</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Compile out a DEBUG8 severity log line.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">loggerArg</td><td>The Logger to send the line to. </td></tr>
    <tr><td class="paramname">entry</td><td>The text (or builder of the text) for the log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a7676fafe14eaf2964e7a7475db7eaa94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7676fafe14eaf2964e7a7475db7eaa94">&#9670;&nbsp;</a></span>ACSDK_DEBUG9</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACSDK_DEBUG9</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">entry</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Compile out a DEBUG9 severity log line.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">loggerArg</td><td>The Logger to send the line to. </td></tr>
    <tr><td class="paramname">entry</td><td>The text (or builder of the text) for the log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ab54d7388fb3c3c29c3f07826fe3b4ee2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab54d7388fb3c3c29c3f07826fe3b4ee2">&#9670;&nbsp;</a></span>ACSDK_ERROR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACSDK_ERROR</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">entry</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="_logger_8h.html#aff9739000a127870cf563ba2991ec9d4">ACSDK_LOG</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6abb1ca97ec761fc37101737ba0aa2e7c5">alexaClientSDK::avsCommon::utils::logger::Level::ERROR</a>, entry)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Send a ERROR severity log line.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">loggerArg</td><td>The Logger to send the line to. </td></tr>
    <tr><td class="paramname">entry</td><td>The text (or builder of the text) for the log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a4915fb907cb0dbfa67d771f030f82351"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4915fb907cb0dbfa67d771f030f82351">&#9670;&nbsp;</a></span>ACSDK_GET_LOGGER_FUNCTION_NAME</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACSDK_GET_LOGGER_FUNCTION_NAME</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">type</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="_logger_8h.html#a8c5e76dd516f4638a4d60761b565077b">ACSDK_CONCATENATE</a>(<a class="el" href="_logger_8h.html#a8c5e76dd516f4638a4d60761b565077b">ACSDK_CONCATENATE</a>(get, type), Logger)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Macro for building function name of the form get&lt;type&gt;Logger().</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">type</td><td>The type of <code>Logger</code> for which to build a get&lt;type&gt;Logger() function name. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a614ffd9777cb70214e150c407db1157d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a614ffd9777cb70214e150c407db1157d">&#9670;&nbsp;</a></span>ACSDK_GET_SINK_LOGGER</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACSDK_GET_SINK_LOGGER&#160;&#160;&#160;<a class="el" href="_logger_8h.html#a4915fb907cb0dbfa67d771f030f82351">ACSDK_GET_LOGGER_FUNCTION_NAME</a>(<a class="el" href="_logger_8h.html#af30fcd5f90dfc0e248e249fe0998ce78">ACSDK_LOG_SINK</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Build the get&lt;type&gt;Logger function name for whatever <code>Logger</code> logs will be sent to. </p>

</div>
</div>
<a id="a651d06dad2d995d7848b5f778acc13d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a651d06dad2d995d7848b5f778acc13d8">&#9670;&nbsp;</a></span>ACSDK_INFO</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACSDK_INFO</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">entry</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="_logger_8h.html#aff9739000a127870cf563ba2991ec9d4">ACSDK_LOG</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6a551b723eafd6a31d444fcb2f5920fbd3">alexaClientSDK::avsCommon::utils::logger::Level::INFO</a>, entry)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Send a INFO severity log line.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">loggerArg</td><td>The Logger to send the line to. </td></tr>
    <tr><td class="paramname">entry</td><td>The text (or builder of the text) for the log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aff9739000a127870cf563ba2991ec9d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff9739000a127870cf563ba2991ec9d4">&#9670;&nbsp;</a></span>ACSDK_LOG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACSDK_LOG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">level, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">entry&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Value:</b><div class="fragment"><div class="line"><span class="keywordflow">do</span> {                                                                                              \</div><div class="line">        auto&amp; loggerInstance = <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a8ce242645803838bd3900d45974565d6">alexaClientSDK::avsCommon::utils::logger::ACSDK_GET_LOGGER_FUNCTION</a>(); \</div><div class="line">        if (loggerInstance.shouldLog(level)) {                                                        \</div><div class="line">            loggerInstance.log(level, entry);                                                         \</div><div class="line">        }                                                                                             \</div><div class="line">    } <span class="keywordflow">while</span> (<span class="keyword">false</span>)</div><div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_html_a8ce242645803838bd3900d45974565d6"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a8ce242645803838bd3900d45974565d6">alexaClientSDK::avsCommon::utils::logger::ACSDK_GET_LOGGER_FUNCTION</a></div><div class="ttdeci">Logger &amp; ACSDK_GET_LOGGER_FUNCTION()</div><div class="ttdef"><b>Definition:</b> Logger.h:334</div></div>
</div><!-- fragment --><p class="">Common implementation for sending entries to the log.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">level</td><td>The log level to associate with the log line. </td></tr>
    <tr><td class="paramname">entry</td><td>The text (or builder of the text) for the log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="af30fcd5f90dfc0e248e249fe0998ce78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af30fcd5f90dfc0e248e249fe0998ce78">&#9670;&nbsp;</a></span>ACSDK_LOG_SINK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACSDK_LOG_SINK&#160;&#160;&#160;Console</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a25c4f632a13aad8bca23da0cedee26f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a25c4f632a13aad8bca23da0cedee26f6">&#9670;&nbsp;</a></span>ACSDK_STRINGIFY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACSDK_STRINGIFY</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">macro</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="_logger_8h.html#a4f3ff6ca18640f57bac6c106572081c5">ACSDK_STRINGIFY_INNER</a>(macro)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Turn a macro in to a string literal.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">macro</td><td>The macro to expand and turn in to a string literal. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a4f3ff6ca18640f57bac6c106572081c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f3ff6ca18640f57bac6c106572081c5">&#9670;&nbsp;</a></span>ACSDK_STRINGIFY_INNER</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACSDK_STRINGIFY_INNER</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">expression</td><td>)</td>
          <td>&#160;&#160;&#160;#expression</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Inner part of ACSDK_STRINGIFY. Turns an expression in to a string literal.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">expression</td><td>The expression to turn in to a string literal. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="adc4fde7e853612078e9424c45794e18a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc4fde7e853612078e9424c45794e18a">&#9670;&nbsp;</a></span>ACSDK_WARN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACSDK_WARN</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">entry</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="_logger_8h.html#aff9739000a127870cf563ba2991ec9d4">ACSDK_LOG</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6a32bd8a1db2275458673903bdb84cb277">alexaClientSDK::avsCommon::utils::logger::Level::WARN</a>, entry)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Send a WARN severity log line.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">loggerArg</td><td>The Logger to send the line to. </td></tr>
    <tr><td class="paramname">entry</td><td>The text (or builder of the text) for the log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
